local Aloft = Aloft
if not Aloft then return end

-----------------------------------------------------------------------------

Aloft.IsTotemLocale = { }
Aloft.IsTotemLocale["default"] = { }

local L = Aloft.IsTotemLocale["default"]

-- shaman totems
--[[ enUS ]] table.insert(L, " Totem$")
--[[ enUS ]] table.insert(L, " Totem [IVX]+$")

-- hunter snake trap spawn
--[[ enUS ]] table.insert(L, "^Viper$")
--[[ enUS ]] table.insert(L, "^Venomous Snake$")

-- death knight bloodworms
--[[ enUS ]] table.insert(L, "^Bloodworm$") -- so far, this seems to be the only NPC of this name on record

-----------------------------------------------------------------------------

local locale = GetLocale()

-----------------------------------------------------------------------------

if locale ~= "enUS" then
	Aloft.IsTotemLocale[locale] = { }
	L = Aloft.IsTotemLocale[locale]
end

-----------------------------------------------------------------------------

if (locale == "deDE") then

-----------------------------------------------------------------------------

-- shaman totems
--[[ deDE ]] table.insert(L, "^Totem ")
--[[ deDE ]] table.insert(L, "^Totem .+ [IVX]+")

-- hunter snake trap spawn
--[[ deDE ]] table.insert(L, "^Viper$")
--[[ deDE ]] table.insert(L, "^Giftige Schlange$")

-- death knight bloodworms
--[[ deDE ]] table.insert(L, "^Blutwurm$") -- so far, this seems to be the only NPC of this name on record

-----------------------------------------------------------------------------

elseif (locale == "koKR") then

-----------------------------------------------------------------------------

-- shaman totems
--[[koKR]] table.insert(L, " 토템$")

-----------------------------------------------------------------------------

elseif (locale == "ruRU") then

-----------------------------------------------------------------------------

-- shaman totems
--[[ ruRU ]] table.insert(L, "^Тотем .+[ IVX]*$") -- original McFLY submission
--[[ ruRU ]] table.insert(L, "^Тотем .+ [IVX]+$")
--[[ ruRU ]] --table.insert(L, "Тотем.*[IVX]*$") -- slight tweak, hopefully more forgiving

-- hunter snake trap spawn
--[[ ruRU ]] table.insert(L, "[^ ]Гадюка$")
--[[ ruRU ]] table.insert(L, "^Гадюка$")
--[[ ruRU ]] table.insert(L, "[^ ]Ядовитая змея$")
--[[ ruRU ]] table.insert(L, "^Ядовитая змея$")

-- death knight bloodworms
--[[ ruRU ]] table.insert(L, "^Кровочерви$") -- so far, this seems to be the only NPC of this name on record

-----------------------------------------------------------------------------

elseif (locale == "zhCN") then

-----------------------------------------------------------------------------

-- shaman totems
--[[ zhCN ]] table.insert(L, "图腾$")

-----------------------------------------------------------------------------

elseif (locale == "zhTW") then

-----------------------------------------------------------------------------

-- shaman totems
--[[ zhTW ]] table.insert(L, "圖騰$")

-----------------------------------------------------------------------------

end
